### Extract

Category

Structuring

Function

Extracts a component from a field.

Syntax

    output = Extract(input, name);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | the field from which a component is to be extracted
`name` | string | "data" | the component to extract

Outputs

Name | Type | Description
--- | --- | ---
`output` | object | the named component

Functional Details

This module creates an `output` object containing only the `name` component from the `input` field. If `input` is a group, `output` is a group of array objects.

Components

Only the components extracted are propagated to the output.

Example Visual Programs

    MultipleDataSets.net
    PlotTwoLines.net
    UsingTextAndTextGlyphs.net

See Also

Mark, Remove, Rename, Replace, Unmark

[ OpenDX Home at IBM | OpenDX.org ]